> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Channel Created

> Trigger when a channel was created in Slack

## Subscribe

Send this request body to [Subscribe to a Trigger](/actionkit/triggers/api-reference/subscribe-to-trigger) to start listening for this event on behalf of your user:

```http Subscribe Request theme={null}
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "slack",
  "type": "SLACK_TRIGGER_CHANNEL_CREATED",
  "parameters": {}
}
```

**Configuration options:**

This trigger does not require any configuration options.

## Example Payload

This is an example payload that Paragon sends to your configured webhook URL. Learn more about handling trigger payloads in [Receiving Webhooks](/actionkit/triggers/receiving-webhooks).

```json Example expandable theme={null}
{
  "type": "channel_created",
  "channel": {
    "id": "C0553690LQM",
    "is_channel": true,
    "name": "test-webhook",
    "name_normalized": "test-webhook",
    "created": 1682576941,
    "creator": "U02T23UL0R1",
    "is_shared": false,
    "is_org_shared": false,
    "context_team_id": "TM7FL705V",
    "channel": "mock-channel-id",
    "channel_type": "channel",
    "event_context": "mock-event-context",
    "event_ts": "1682576941.441499",
    "subtype": "channel_join",
    "text": "<@mock-user-id> has joined the channel",
    "ts": "1682576941.441499",
    "type": "message",
    "user": "mock-user-id",
    "is_archived": false,
    "is_ext_shared": false,
    "is_frozen": false,
    "is_general": false,
    "is_group": false,
    "is_im": false,
    "is_mpim": false,
    "is_pending_ext_shared": false,
    "is_private": false,
    "parent_conversation": null,
    "pending_connected_team_ids": [],
    "pending_shared": [],
    "previous_names": [],
    "purpose": {
      "creator": "",
      "last_set": 0,
      "value": ""
    },
    "shared_team_ids": [
      "T05FCKSSGAK"
    ],
    "topic": {
      "creator": "",
      "last_set": 0,
      "value": ""
    },
    "unlinked": 0,
    "updated": 1764319818291
  },
  "event_ts": "1764319818.015000"
}
```
